Page MenuHomePhabricator

[M] MediaSearch - delay in displaying Quickview
Closed, ResolvedPublicBUG REPORT

Description

Note:

  • the issue is reproducible in betalabs
  • the issue is the most noticeable on mobile

Steps to Reproduce:

  1. On Special:MediaSearch on 'commons wmf.13' perform a simple search - 'rose', 'snow' etc
  2. Click on any of displayed image in the result set to see a card in QuickView. There will be a noticeable delay in the displaying the Quickview image.

(click on the animated gif below)

Acceptance Criteria:

  • Add a greyed-out bg placeholder to the QuickView panel to preserve the appropriate amount of space until the image loads
  • Investigate speeding up load time (e.g. we might want to try to get one of the more common thumbnail sizes and scale it down via CSS)

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 15 2020, 11:44 PM

Thanks for posting this, @Etonkovidova.

I recommend we:

  1. Add a placeholder to the QuickView panel to preserve the appropriate amount of space until the image loads
  2. See what we can do about speeding up load time (e.g. we might want to try to get one of the more common thumbnail sizes and scale it down via CSS)

Assuming this is about SDAW-MediaSearch (please set appropriate project tags when possible, so other people who don't know or don't care about team tags can also find this task when searching via projects - thanks!)

CBogen renamed this task from [wmf.13-regression] MediaSearch- delay in displaying Quickview to [M] MediaSearch - delay in displaying Quickview .Oct 21 2020, 4:29 PM
CBogen updated the task description. (Show Details)

Change 635894 had a related patch set uploaded (by Anne Tomasevich; owner: Anne Tomasevich):
[mediawiki/extensions/WikibaseMediaInfo@master] Improve QuickView image loading experience

https://gerrit.wikimedia.org/r/635894

Change 635894 merged by jenkins-bot:
[mediawiki/extensions/WikibaseMediaInfo@master] Improve QuickView image loading experience

https://gerrit.wikimedia.org/r/635894

Checked in betalabs - works great. The screen recording below shows the QuickView placeholder on the first time when an image is clicked and also that subsequent loads of the same image happen practically instantaneously.

Checked in wmf.16 - Resolved.

Etonkovidova closed this task as Resolved.Nov 16 2020, 8:39 PM
Etonkovidova updated the task description. (Show Details)